Plugin Directory

!This plugin hasn’t been updated in over 2 years. It may no longer be maintained or supported and may have compatibility issues when used with more recent versions of WordPress.


FlexiCache is a fast, full-featured and flexible caching system which will improve the performance and availability of any WordPress site

  • Testing in WordPress 3.5

  • Testing in WordPress 3.4

  • Tested in WordPress 3.3.1
  • Documentation and admin CSS updated
  • No changes to functionality

  • Testing in WordPress 3.2.1
  • No changes to functionality

  • Use the single "transition_post_status" action in place of "publish_post", "trash_post" and "delete_post" used previously, to enable automatic removal of a cached item on any post status transition
  • Disable automatic update of .htaccess file for installations running Multisite
  • Testing in WordPress 3.1.4

  • Tested in WordPress 3.1.3
  • No changes to functionality

  • Allow addition of random element to expiry headers sent to client, to prevent multiple clients attempting to fetch fresh copies of items simultaneously
  • Testing in WordPress 3.1
  • Text/comments changes and corrections

  • Allow preview of standalone modification to .htaccess file before committing the change
  • Consistent internal method for generating plugin admin URL

  • Disable caching for clients with a passworded page cookie set
  • Show serve mode (plugin/standalone) in custom HTTP header

  • Improved handling for multiple requests to uncached and expired items
  • Option to send 503 "Service Unavailable" responses to user agents which request an uncached page which is currently in the process of being built
  • Removal of "no-store" directive in custom control headers
  • Addition of "must-revalidate" and "no-pre-cache" directives in custom control headers
  • Don't enable pre-caching by default
  • Improved documentation

  • Additional security restriction to disable storing of pages for comment authors, as WordPress may pre-fill forms with their details in.

  • Fixed some broken HTML in the admin area.


  • First publicly available version

Requires: 2.6 or higher
Compatible up to: 3.5.2
Last Updated: 4 years ago
Active Installs: 900+


5 out of 5 stars


Got something to say? Need help?


Not enough data

0 people say it works.
0 people say it's broken.

100,1,1 100,2,2 100,4,4
100,1,1 100,1,1 100,1,1
100,1,1 100,3,3
100,1,1 100,4,4 100,1,1
100,1,1 100,1,1
100,1,1 100,1,1